
Foreman - Bug #2068

puppet:import:puppet_classes silently fails to import classes that have a parameter called "notify"

12/20/2012 12:02 PM - David Schmitt

Status: Rejected   

Priority: Normal   

Assignee: Ohad Levy   

Category: Importers   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

the import task will silently ignore the following class:

class icinga($notify) { }

 but will happily import

class icinga($notification) { }

 I'm guessing this is due to the clash with the notify metaparameter, but still, an error message or warning would be really great :-)

History

#1 - 12/20/2012 01:01 PM - Greg Sutcliffe

Actually I think we can widen this a little in scope - the importer will silently discard any class with syntax error - if Puppet can't parse it, the proxy will

ignore it. We should probably warn about that.

#2 - 05/18/2017 10:04 AM - Anonymous

- Description updated

- Status changed from New to Rejected

problem is on the puppet side
